package kr.co.bit.lecture.board.service.spring;

import java.util.ArrayList;
import java.util.List;

import kr.co.bit.board.model.Board;
import kr.co.bit.lecture.board.dao.BoardDao;
import kr.co.bit.lecture.board.service.BoardService;

public class BoardServiceSpring implements BoardService {
	private BoardDao boardDao;
	
	
	public void setBoardDao(BoardDao boardDao) {
		this.boardDao = boardDao;
	}


	public Board getBoard(int seq) {
		Board board = this.boardDao.selectBoard(seq);
		return board;
	}

	public List<Board> getBoardList(Board board) {
	
		int page = board.getThisPage();
		if( page == 0 )
			page = 1;
		board.setThisPage(page);
		List<Board> boardList = this.boardDao.selectBoardList(board);

		return boardList;
	}

	public void removeBoard(int seq) {
		this.boardDao.deleteBoard(seq);

	}

	public void saveBoard(Board board) {
		if(board.getThisPage()==0)
			this.boardDao.insertBoard(board);
		else 
			this.boardDao.updateBoard(board);

	}

	public void saveBoardReadCount(int seq) {
		this.boardDao.updateBoardReadCount(seq);

	}

}
