package kr.co.bit.lecture.board.web.spring;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import kr.co.bit.board.model.Board;
import kr.co.bit.lecture.board.service.BoardService;


import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractController;

public class BoardListController extends AbstractController {
	private BoardService boardService;
	private String viewName;
	//applicationContext   ͸ setŴ
	public void setBoardService(BoardService boardService) {
		this.boardService = boardService;
	}
	public void setViewName(String viewName) {
		this.viewName = viewName;
	}
	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		Board board=new Board();
		ModelAndView mnv=new ModelAndView();
		
		
		String strNowPage=request.getParameter("page");
		System.out.println("!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"+strNowPage);
		if(strNowPage==null)
			board.setThisPage(1);
		else
			board.setThisPage(Integer.valueOf(strNowPage));
		board.setListNum(10);
		@SuppressWarnings("unused")
		List<Board> boardList=this.boardService.getBoardList(board);
		
		
		mnv.addObject("boardList",boardList);
		mnv.addObject("board",board);
		mnv.setViewName(viewName);
		
		return mnv;
	}
	
}
