package kr.co.bit.lecture.board.web.spring;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import kr.co.bit.board.model.Board;
import kr.co.bit.lecture.board.service.BoardService;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractController;

public class BoardWriteController extends AbstractController {
	private String viewName;
	private BoardService boardService;
	
	public void setBoardService(BoardService boardService) {
		this.boardService = boardService;
	}

	public void setViewName(String viewName) {
		this.viewName = viewName;
	}

	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		ModelAndView mnv=new ModelAndView();
		Board board=new Board();
		
		String writer=request.getParameter("writer");
		String password=request.getParameter("password");
		String email=request.getParameter("email");
		String homepageUrl=request.getParameter("homepageUrl");
		String title=request.getParameter("title");
		String contents=request.getParameter("contents");
		
		board.setWriter(writer);
		board.setPassword(password);
		board.setEmail(email);
		board.setHomepageUrl(homepageUrl);
		board.setTitle(title);
		board.setContents(contents);
		
		this.boardService.saveBoard(board);
		
		mnv.setViewName(viewName);
		
		return mnv;
	}

}
