package kr.co.bit.lecture.board.dao;

import java.util.List;

import kr.co.bit.board.model.Board;



public interface BoardDao {
	public Board selectBoard(int seq);
	public List<Board> selectBoardList(Board board);
	public int selectBoardListCount(Board board);
	public void insertBoard(Board board);
	public void updateBoard(Board board);
	public void updateBoardReadCount(int seq);
	public void deleteBoard(int seq);
	
}
