package kr.co.bit.lecture.site.web.spring;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import kr.co.bit.lecture.board.service.BoardService;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractController;

public class IndexController extends AbstractController {
	
	private String viewName;
	private String word;

	public void setViewName(String viewName) {
		this.viewName = viewName;
	}


	public void setWord(String word) {
		this.word = word;
	}

	
	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		ModelAndView mnv=new ModelAndView();
		
		mnv.addObject("hello",word);
		mnv.setViewName(this.viewName);
		return mnv;
	}

}
